Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.util
Class ValueSortedMap

    java.lang.Object
      org.pokersource.util.ValueSortedMap

    public class ValueSortedMap

extends java.lang.Object

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Nested Class Summary
`private static class` | `ValueSortedMap.ValueEntry`

Field Summary
`private java.util.HashMap` | `values` Map of {Object, ValueEntry)} giving value of each key.

Constructor Summary
`ValueSortedMap()`

Method Summary
`java.lang.Comparable` | `get(java.lang.Object key)`
`java.util.List` | `greater(java.lang.Comparable threshold)`
`java.util.List` | `greaterEqual(java.lang.Comparable threshold)`
`java.util.List` | `keyList()`
`java.util.List` | `less(java.lang.Comparable threshold)`
`java.util.List` | `lessEqual(java.lang.Comparable threshold)`
`static void` | `main(java.lang.String[] args)`
`void` | `put(java.lang.Object key, java.lang.Comparable value)`
`private java.util.List` | `toKeyList(java.util.List velist)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### values

    private java.util.HashMap values

  Map of {Object, ValueEntry)} giving value of each key.

Constructor Detail

### ValueSortedMap

    public ValueSortedMap()

Method Detail

### put

    public void put(java.lang.Object key,
                    java.lang.Comparable value)

### get

    public java.lang.Comparable get(java.lang.Object key)

### toKeyList

    private java.util.List toKeyList(java.util.List velist)

### keyList

    public java.util.List keyList()

### less

    public java.util.List less(java.lang.Comparable threshold)

### lessEqual

    public java.util.List lessEqual(java.lang.Comparable threshold)

### greater

    public java.util.List greater(java.lang.Comparable threshold)

### greaterEqual

    public java.util.List greaterEqual(java.lang.Comparable threshold)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD